org.modeshape.jcr.query

## Class JcrQueryResult.QueryResultNodeIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultNodeIterator

- All Implemented Interfaces:
    Iterator, NodeIterator, RangeIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected static class JcrQueryResult.QueryResultNodeIterator
      extends Object
      implements NodeIterator

  The `NodeIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getNodes()`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.QueryResultNodeIterator(List<? extends Node> nodes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getPosition()`
    `long` | `getSize()`
    `boolean` | `hasNext()`
    `Object` | `next()`
    `Node` | `nextNode()`
    `void` | `remove()`
    `void` | `skip(long skipNum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcrQueryResult.QueryResultNodeIterator

          protected JcrQueryResult.QueryResultNodeIterator(List<? extends Node> nodes)

  - ### Method Detail

    - #### nextNode

          public Node nextNode()

      Specified by:
        `nextNode` in interface `NodeIterator`

    - #### getPosition

          public long getPosition()

      Specified by:
        `getPosition` in interface `RangeIterator`

    - #### getSize

          public long getSize()

      Specified by:
        `getSize` in interface `RangeIterator`

    - #### skip

          public void skip(long skipNum)

      Specified by:
        `skip` in interface `RangeIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.